import { selectTopbar } from "../LayoutSelect";
import React, { useRef, useEffect } from "react";
import { useSelector } from "react-redux";
import $ from "jquery";

function Topbar() {
	const item = useSelector(selectTopbar);
	const divRef = useRef();

	useEffect(() => {
		if (item) {
			item.resized();
			item.setContext($(divRef.current));
		}
	}, [item]);

	return <div className="topbar" ref={divRef} />;
}

export default React.memo(Topbar);
